<?php

if(file_exists('ajax_conf.php')) include_once('ajax_conf.php');
else die(json_encode(array('error' => 'Brak pliku konfiguracyjnego. Sprawdź na liście modułów ostrzeżenia dotyczące tego modułu.')));

include_once(_PS_ADMIN_DIR_.'/../config/config.inc.php');
require_once(_PS_ADMIN_DIR_.'/init.php');

$module_instance = Module::getInstanceByName('patronbroker');

if(Tools::isSubmit('createLabel')) {

	if(!Tools::isSubmit('token') || (Tools::isSubmit('token')) && Tools::getValue('token') != sha1(_COOKIE_KEY_.$module_instance->name)) {
		//echo "Bad token: " . Tools::getValue('token') . '!=' . sha1(_COOKIE_KEY_.$module_instance->name);
		exit;
	}
	
	if(Tools::isSubmit('createLabel')) {
		$resp = PsbApi::createLabel(Tools::getValue('id_order'), Tools::getValue('patronbroker_kwota'), Tools::getValue('patronbroker_adres'), Tools::getValue('patronbroker_kod'), Tools::getValue('patronbroker_miasto'), Tools::getValue('patronbroker_uwagi'), Tools::getValue('patronbroker_ubezp'), Tools::getValue('patronbroker_waga'), Tools::getValue('patronbroker_dlug'), Tools::getValue('patronbroker_szer'), Tools::getValue('patronbroker_wys'), Tools::getValue('patronbroker_nst'));
		if($resp === false) {
			die(Tools::jsonEncode(array(
				'error' => reset(Patronbroker::$errors)
			)));
		}
	
		$id_patron = $resp[0];
		$tracking = $resp[1];
		die(Tools::jsonEncode(array(
			'error' => false,
			'id_patron' => (int)$id_patron,
			'tracking' => $tracking
		)));
	}
}

$json = Tools::jsonDecode(file_get_contents('php://input'), true);

if (!isset($json['token']) || $json['token'] != sha1(_COOKIE_KEY_.$module_instance->name)) {
	exit;
}

if(isset($json['createLabel'])) {
	$resp = PsbApi::createLabelJson($json);
	if($resp === false) {
		die(Tools::jsonEncode(array(
			'error' => reset(Patronbroker::$errors)
		)));
	}

	$id_patron = $resp[0];
	$tracking = $resp[1];
	die(Tools::jsonEncode(array(
		'error' => false,
	    'id_patron' => (int)$id_patron,
		'tracking' => $tracking
	)));
}

if (isset($json['action']) && $json['action'] == 'test') {
	$resp = PsbApi::test($json);
	if ($resp != 'OK') {
		die(Tools::jsonEncode(array(
			'error' => $resp
		)));
	}
	else {
		die(Tools::jsonEncode(array(
			'ok' => $module_instance->l('Połączenie OK'),
		)));
	}
}

if (isset($json['action']) && $json['action'] == 'get_org') {
	$resp = PsbApi::getOrg($json);
	if ($resp != 'OK') {
		die(Tools::jsonEncode(array(
			'error' => $resp
		)));
	}
	else {
		die(Tools::jsonEncode(array(
			'ok' => $module_instance->l('OK'),
		)));
	}
}
