<br />
<script>
    var patronbroker_ajax_uri = '{$patronbroker_ajax_uri|escape:'htmlall':'UTF-8'}';
    var patronbroker_token = '{$patronbroker_token|escape:'htmlall':'UTF-8'}';
    var patronbroker_pdf_uri = '{$smarty.const._PATRONBROKER_PDF_URI_|escape:'htmlall':'UTF-8'}';
    var patronbroker_id_label = '{$patronbroker_id_label|escape:'htmlall':'UTF-8'}';
    var mpak = 0;
</script>

<iframe id="patronbroker_down" style="display: none;"></iframe>

<div class="row">
	<div class="col-lg-7">
		<div class="panel" id="patronbroker">
			<div class="panel-heading">
                <i class="icon-truck"></i>
                Wysyłka Patron Broker
			</div>

			<div id="patronbroker_shipment_creation"{if isset($smarty.get.scrollToShipment)} class="displayed-element"{/if}>
				<div id="patronbroker_msg_container">{if isset($errors) && $errors}{include file=$smarty.const._PS_MODULE_DIR_|cat:'patron/views/templates/admin/errors.tpl'}{/if}</div>

				<div class="row">
					<div id="ipost_actions" class="form-horizontal">
						<div class="col-lg-4">
                            <table cellspacing="0" cellpadding="10" class="table">
                                <tbody>
                                    <tr>
							             <td><button class="btn btn-default pull-right" id="patronbroker_create_label" type="button"><i class="process-icon-save"></i> {l s='Utwórz i drukuj etykietę' mod='patronbroker_'}</button></td>
                                         <td><button class="btn btn-default pull-right" id="patronbroker_edit_label" type="button"><i class="process-icon-save"></i> {l s='Edytuj i drukuj etykietę' mod='patronbroker_'}</button></td>
							             <td><button class="btn btn-default pull-right" id="patronbroker_print_label" type="button"{if $patronbroker_id_label}{else} style="display: none;"{/if}><i class="process-icon-save"></i> {l s='Drukuj etykietę' mod='patronbroker_'}</button></td>
							        </tr>
							    </tbody>
							</table>
						</div>
					</div>
				</div>
				
				<hr/>
	            
	            <form id="patronbroker_form">			
				<div class="row form-wrapper" id="patronbroker_form_div">
				    <div class="form-group" id="patronbroker_form1">
                        <label for="patronbroker_form_kwota" class="control-label col-lg-3">Kwota pobrania</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_kwota" name="patronbroker_form_kwota" autocomplete="off" onchange="this.value = this.value.replace(/,/g, '.');" value="{$patronbroker_kwota|escape:'htmlall':'UTF-8'}" maxlength="12" size="12">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form2">
                        <label for="patronbroker_form_adres" class="control-label col-lg-3">Adres</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_adres" name="patronbroker_form_adres" value="{$patronbroker_adres|escape:'htmlall':'UTF-8'}" maxlength="30" size="60">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form3">
                        <label for="patronbroker_form_kod" class="control-label col-lg-3">Kod</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_kod" name="patronbroker_form_kod" value="{$patronbroker_kod|escape:'htmlall':'UTF-8'}" maxlength="6" size="6">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form4">
                        <label for="patronbroker_form_miasto" class="control-label col-lg-3">Miasto</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_miasto" name="patronbroker_form_miasto" value="{$patronbroker_miasto|escape:'htmlall':'UTF-8'}" maxlength="20" size="20">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form5">
                        <label for="patronbroker_form_uwagi" class="control-label col-lg-3">Uwagi</label>
                        <div class="input-group col-lg-5">
                            <textarea id="patronbroker_form_uwagi" name="patronbroker_form_uwagi">{$patronbroker_uwagi|escape:'htmlall':'UTF-8'}</textarea>
                        </div>
                    </div>
                    {if isset($patronbroker_kwota) && $patronbroker_kwota == 0}
                    <div class="form-group" id="patronbroker_form6">
                        <label for="patronbroker_form_ubezp" class="control-label col-lg-3">Ubezpieczenie</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_ubezp" name="patronbroker_form_ubezp" value="{$patronbroker_ubez|escape:'htmlall':'UTF-8'}" maxlength="10" size="10">
                        </div>
                    </div>
                    {else}
                        <input type="hidden" id="patronbroker_form_ubezp" name="patronbroker_form_ubezp" value="0">
                    {/if}
                    <div class="form-group" id="patronbroker_form7">
                        <label for="patronbroker_form_waga" class="control-label col-lg-3">Waga</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_waga" name="patronbroker_form_waga" value="{$patronbroker_waga|escape:'htmlall':'UTF-8'}" maxlength="10" size="10">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form8">
                        <label for="patronbroker_form_wys" class="control-label col-lg-3">Wysokość</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_wys" name="patronbroker_form_wys" value="{$patronbroker_wys|escape:'htmlall':'UTF-8'}" maxlength="10" size="10">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form9">
                        <label for="patronbroker_form_dlug" class="control-label col-lg-3">Długość</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_dlug" name="patronbroker_form_dlug" value="{$patronbroker_dlug|escape:'htmlall':'UTF-8'}" maxlength="10" size="10">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form10">
                        <label for="patronbroker_form_szer" class="control-label col-lg-3">Szerokość</label>
                        <div class="input-group col-lg-5">
                            <input type="text" id="patronbroker_form_szer" name="patronbroker_form_szer" value="{$patronbroker_szer|escape:'htmlall':'UTF-8'}" maxlength="10" size="10">
                        </div>
                    </div>
                    <div class="form-group" id="patronbroker_form11">
                        <label for="patronbroker_form_szer" class="control-label col-lg-3">NST</label>
                        <div class="input-group col-lg-5">
                            <input type="checkbox" id="patronbroker_form_nst" name="patronbroker_form_nst" value="1" {$patronbroker_nst|escape:'htmlall':'UTF-8'}>
                        </div>
                    </div>
                    <div id="ipost_actions" class="form-horizontal">
                        <div class="col-lg-4">
                            <table cellspacing="0" cellpadding="10" class="table">
                                <tbody>
                                    <tr>
                                         <td><button class="btn btn-default pull-right" id="patronbroker_editcreate_label" type="button"><i class="process-icon-save"></i> {l s='Drukuj etykietę' mod='patronbroker_'}</button></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
				
			</div>
			</form>

			<div id="patron-status-panel" class="panel-group">
				<div class="panel">
					<div id="patron-status">
						<div class="panel-body">
							<table cellspacing="0" cellpadding="10" class="table">
								<thead>
									<tr>
										<th width="200"><span class="title_box">{l s='Akcja' mod='patronbroker_'}</span></th>
										<th width="50"><span class="title_box">{l s='Status' mod='patronbroker_'}</span></th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>{l s='Etykieta utworzona' mod='patronbroker_'}</td>
										<td id="patronbroker_status">{if $patronbroker_id_label}{l s='Tak' mod='patronbroker_'}{else}{l s='Nie' mod='patronbroker_'}{/if}</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
