
	$(document).ready(function(){
		$('#patronbroker_form_div').slideUp();
		if(mpak) addPackPatron(false);

		$("#patronbroker_paczki_add").click(function() {
			addPackPatron(true);
		});
	
		$('#patronbroker_edit_label').live('click', function() {
			$('#patronbroker_form_div').slideDown();
		});

		if(mpak) {
			$('#patronbroker_editcreate_label').live('click', function() {
				$('#ajax_running').slideDown();
				$('#patronbroker_msg_container').slideUp().html('');
				var jpak = new Array();
				for(var i = 0; i < paczki_psb.length; i++) {
					if(paczki_psb[i] == 1) {
						var num = i + 1;
						var pak = {
							"waga": $('#patronbroker_form_waga_' + num).val(),
							"dlug": $('#patronbroker_form_dlug_' + num).val(),
							"szer": $('#patronbroker_form_szer_' + num).val(),
							"wys": $('#patronbroker_form_wys_' + num).val(),
							"nst": ($('#patronbroker_form_nst_' + num).prop("checked") ? '1' : '0')
						}
						jpak.push(pak);
					}
				}
			
		        $.ajax({
		            type: "POST",
		            async: true,
		            url: patronbroker_ajax_uri + '?json=1',
		            dataType: "json",
		            global: false,
		            contentType: "application/json; charset=utf-8",
		            data: JSON.stringify({
		            	"createLabel": true,
		            	"ajax": true,
		            	"token": patronbroker_token,
		            	"id_order": id_order,
		            	"patronbroker_kwota": $('#patronbroker_form_kwota').val(),
		            	"patronbroker_adres": $('#patronbroker_form_adres').val(),
		            	"patronbroker_kod": $('#patronbroker_form_kod').val(),
		            	"patronbroker_miasto": $('#patronbroker_form_miasto').val(),
		            	"patronbroker_uwagi": $('#patronbroker_form_uwagi').val(),
		            	"patronbroker_ubezp": $('#patronbroker_form_ubezp').val(),
		            	"patronbroker_mail": ($('#patronbroker_form_mail').prop("checked") ? '1' : '0'),
		            	"patronbroker_sms": ($('#patronbroker_form_sms').prop("checked") ? '1' : '0'),
		            	"paczki": jpak
		            }),
		            success: function(resp)
		            {
						if (resp.error)
						{
							$('#patronbroker_msg_container').hide().html('<p class="error alert alert-danger">'+resp.error+'</p>').slideDown();
							$.scrollTo('#patronbroker', 400, { offset: { top: -100 }});
						}
						else
						{
							patronbroker_id_label = resp.id_patron;
							psbDoDownload(patronbroker_id_label);
							$('#patronbroker_print_label').show();
//							$('#patronbroker_del_label').show();
							$('#patronbroker_status').html('Tak');
							$('#patronbroker_track_url').html(resp.tracking);
							$('.shipping_number_show').html(resp.tracking);
							$('#shipping_number_show').html(resp.tracking);
							$('#patronbroker_form_div').slideUp();
						}

		                $('#ajax_running').slideUp();
		            },
		            error: function(jqXHR, textStatus, errorThrown)
		            {
		            	if(jqXHR.status == 0) alert("Nieprawidłowa domena");
		                $('#ajax_running').slideUp();
		            }
		        });
			});		
		}
		else {
			$('#patronbroker_editcreate_label').live('click', function() {
				$('#ajax_running').slideDown();
				$('#patronbroker_msg_container').slideUp().html('');

        		$.ajax({
            		type: "POST",
            		async: true,
            		url: patronbroker_ajax_uri,
            		dataType: "json",
            		global: false,
            		data: "createLabel=true&ajax=true&token=" + encodeURIComponent(patronbroker_token) + "&id_order=" + encodeURIComponent(id_order) + "&patronbroker_kwota=" + $('#patronbroker_form_kwota').val() + "&patronbroker_adres=" + $('#patronbroker_form_adres').val() + "&patronbroker_kod=" + $('#patronbroker_form_kod').val() + "&patronbroker_miasto=" + $('#patronbroker_form_miasto').val() + "&patronbroker_uwagi=" + $('#patronbroker_form_uwagi').val() + "&patronbroker_ubezp=" + $('#patronbroker_form_ubezp').val() + "&patronbroker_waga=" + $('#patronbroker_form_waga').val() + "&patronbroker_dlug=" + $('#patronbroker_form_dlug').val() + "&patronbroker_szer=" + $('#patronbroker_form_szer').val() + "&patronbroker_wys=" + $('#patronbroker_form_wys').val() + "&patronbroker_nst=" + ($('#patronbroker_form_nst').prop("checked") ? '1' : '0'),
            		success: function(resp)
            		{
						if (resp.error)
						{
							$('#patronbroker_msg_container').hide().html('<p class="error alert alert-danger">'+resp.error+'</p>').slideDown();
							$.scrollTo('#patronbroker', 400, { offset: { top: -100 }});
						}
						else
						{
							patronbroker_id_label = resp.id_patron;
							psbDoDownload(patronbroker_id_label);
							$('#patronbroker_print_label').show();
							$('#patronbroker_status').html('Tak');
							$('#patronbroker_track_url').html(resp.tracking);
							$('.shipping_number_show').html(resp.tracking);
							$('#patronbroker_form_div').slideUp();
						}

                		$('#ajax_running').slideUp();
            		},
            		error: function(jqXHR, textStatus, errorThrown)
            		{
            			if(jqXHR.status == 0) alert("Nieprawidłowa domena");
                		$('#ajax_running').slideUp();
            		}
        		});
			});
		}

		$('#patronbroker_create_label').live('click', function() {
			$('#ajax_running').slideDown();
			$('#patronbroker_msg_container').slideUp().html('');
		
			$.ajax({
				type: "POST",
				async: true,
				url: patronbroker_ajax_uri,
				dataType: "json",
				global: false,
				data: "createLabel=true&ajax=true&token=" + encodeURIComponent(patronbroker_token) + "&id_order=" + encodeURIComponent(id_order) + "&patronbroker_kwota=undefined&patronbroker_adres=undefined&patronbroker_kod=undefined&patronbroker_miasto=undefined&patronbroker_uwagi=undefined&patronbroker_ubezp=undefined&patronbroker_waga=undefined&patronbroker_dlug=undefined&patronbroker_szer=undefined&patronbroker_wys=undefined&patronbroker_nst=0",
				success: function(resp)
				{
					if (resp.error)
					{
						$('#patronbroker_msg_container').hide().html('<p class="error alert alert-danger">'+resp.error+'</p>').slideDown();
						$.scrollTo('#patronbroker', 400, { offset: { top: -100 }});
					}
					else
					{
						patronbroker_id_label = resp.id_patron;
						psbDoDownload(patronbroker_id_label);
						$('#patronbroker_print_label').show();
						$('#patronbroker_status').html('Tak');
						$('#patronbroker_track_url').html(resp.tracking);
						$('.shipping_number_show').html(resp.tracking);
					}

					$('#ajax_running').slideUp();
				},
				error: function(jqXHR, textStatus, errorThrown)
				{
					if(jqXHR.status == 0) alert("Nieprawidłowa domena");
					$('#ajax_running').slideUp();
				}
			});
		});

		$('#patronbroker_print_label').live('click', function() {
			$('#patronbroker_msg_container').slideUp().html('');
			psbDoDownload(patronbroker_id_label);
		});

	});

function psbDoDownload(id_label) {
	link = patronbroker_pdf_uri + '?printLabel=true&id_label=' + id_label + '&token=' + encodeURIComponent(patronbroker_token);
	ifr = window.document.getElementById('patronbroker_down');
	ifr.src = link;
	return true;
}

var paczki_psb = new Array();
function addPackPatron(slide) {
	var lpacz = 0;
	for(var i = 0; i < paczki_psb.length; i++) if(paczki_psb[i]) lpacz++;
	if(lpacz >= 10) {
		alert("Limit wynosi 10 paczek");
		return;
	}
	var num = paczki_psb.length + 1;
	paczki_psb.push(1);
    var td1 = '<td><input type="text" id="patronbroker_form_waga_' + num + '" name="patronbroker_form_waga" value="' + form_waga + '" maxlength="5" size="5"></td>';
    var td2 = '<td><input type="text" id="patronbroker_form_wys_' + num + '" name="patronbroker_form_wys" value="' + form_wys + '" maxlength="6" size="6"></td>';
    var td3 = '<td><input type="text" id="patronbroker_form_dlug_' + num + '" name="patronbroker_form_dlug" value="' + form_dlug + '" maxlength="6" size="6"></td>';
    var td4 = '<td><input type="text" id="patronbroker_form_szer_' + num + '" name="patronbroker_form_szer" value="' + form_szer + '" maxlength="6" size="6"></td>';
    var td5 = '<td><input type="checkbox" id="patronbroker_form_nst_' + num + '" name="patronbroker_form_nst" value="1" ' + form_nst + '></td>';
    var td6 = '<td><img src="' + patronbroker_img_uri + '/delete_16.png" class="patronbroker_paczki_del" style="cursor: pointer;"/><div class="patronbroker_paczki_num" style="display: none;">' + num + '</div></td>';

	$('#patronbroker_paczki tbody').append('<tr id="patronbroker_paczki_tr_' + num + '" style="display: none;">' + td1 + td2 + td3 + td4 + td5 + td6 + '</tr>');
	if(slide) {
		$("#patronbroker_paczki_tr_" + num).slideDown();
	}
	else {
		$("#patronbroker_paczki_tr_" + num).show();
	}
	$(".patronbroker_paczki_del").click(function() {
		var lpacz = 0;
		for(var i = 0; i < paczki_psb.length; i++) if(paczki_psb[i]) lpacz++;
		if(lpacz <= 1) return;
		var num = $(".patronbroker_paczki_num", $(this).parent()).html();
		paczki_psb[num - 1] = 0;
		lpacz--;
		$("#patronbroker_paczki_tr_" + num).slideUp();
	});
}
